Retrieve a capture
Get details of a capture for an auth-capture card-payment transfer.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/captures/{captureID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.10.00"{
"captureID": "string",
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"isFinal": true,
"status": "created",
"createdOn": "2019-08-24T14:15:22Z",
"description": "Pay Instructor for May 15 Class",
"metadata": {
"optional": "metadata"
},
"foreignID": "string",
"lineItems": {
"items": [
{
"name": "string",
"basePrice": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"quantity": 1,
"options": [
{
"name": "string",
"quantity": 1,
"priceModifier": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
],
"group": "string"
}
],
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
],
"productID": "string"
}
]
},
"amountDetails": {
"tip": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"tax": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"surcharge": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"facilitatorFeeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"failureCode": "call-issuer"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
v2026.08.00 uses v2026.07.00.
A malformed value, such as 2022, returns a 404 response.
v2026.10.00
Path parameters
accountID
string
required
transferID
string
required
card-payment transfer.
captureID
string
required
Response
amount
object
required
Show child attributes
amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
captureID
string
required
createdOn
string<date-time>
required
isFinal
boolean
required
status
string<enum>
required
created,
pending,
completed,
failed,
canceled
amountDetails
object
Show child attributes
amountDetails
surcharge
object
Show child attributes
amountDetails.surcharge
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
tax
object
Show child attributes
amountDetails.tax
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
tip
object
Show child attributes
amountDetails.tip
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
description
string
<=256 characters
facilitatorFeeAmount
object
Show child attributes
facilitatorFeeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
failureCode
string<enum>
call-issuer,
do-not-honor,
processing-error,
invalid-transaction,
invalid-amount,
no-such-issuer,
reenter-transaction,
cvv-mismatch,
lost-or-stolen,
insufficient-funds,
invalid-card-number,
invalid-merchant,
expired-card,
incorrect-pin,
transaction-not-allowed,
suspected-fraud,
amount-limit-exceeded,
velocity-limit-exceeded,
revocation-of-authorization,
card-not-activated,
issuer-not-available,
could-not-route,
cardholder-account-closed,
account-closed,
account-not-activated,
authentication-failed,
authentication-required,
cardholder-action-required,
format-error,
invalid-pin,
offline-approved,
offline-declined,
partial-approval,
payment-stopped,
pin-required,
record-not-found,
surcharge-not-permitted,
transaction-reversed,
verification-failed,
unknown-issue,
duplicate-transaction
foreignID
string
<=128 characters
lineItems
object
Show child attributes
lineItems
items
array<object>
required
Show child attributes
lineItems.items[]
basePrice
object
Show child attributes
lineItems.items[].basePrice
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
images
array<object>
Show child attributes
lineItems.items[].images[]
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
options
array<object>
Show child attributes
lineItems.items[].options[]
group
string
<=100 characters
images
array<object>
Show child attributes
lineItems.items[].options[].images[]
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
priceModifier
object
Show child attributes
lineItems.items[].options[].priceModifier
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
quantity
integer<int32>
productID
string
quantity
integer<int32>
metadata
object